Retrieves the demand calculation configuration for a calculated bill version
Use this endpoint to see how demand is currently configured for a calculated bill version.
To update the configuration, use PUT on this same route.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| accountId | Unique numeric identifier of the account | integer (int32) | Required |
| meterId | Unique numeric identifier of the meter | integer (int32) | Required |
| versionId | Unique numeric identifier of the calculated bill distribution version | integer (int32) | Required |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
CalculatedBillDemandResponse
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| fixedDemand | FixedAmountResponse | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
FixedAmountResponse properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| readingsFromChannel | ChannelChildWithObservationType | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
ChannelChildWithObservationType properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| readingsFromEsaChannel | EsaChannelChildWithObservationType | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
EsaChannelChildWithObservationType properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| readingsFromWatticsDataPoint | WatticsDataPointChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
WatticsDataPointChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "fixedDemand": { "amount": 1.0, "unit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}
}, "readingsFromChannel": { "channelCode": "string", "channelId": 1, "interval": 1, "rule": { "observationRuleCode": "string", "observationRuleId": 1, "observationRuleInfo": "string"
}, "type": { "credit": 1, "nounCode": "string", "nounId": 1, "observationTypeCode": "string", "observationTypeId": 1, "observationTypeInfo": "string"
}
}, "readingsFromEsaChannel": { "esaChannelId": 1, "esaChannelInfo": "string", "interval": 1, "rule": { "observationRuleCode": "string", "observationRuleId": 1, "observationRuleInfo": "string"
}, "type": { "credit": 1, "nounCode": "string", "nounId": 1, "observationTypeCode": "string", "observationTypeId": 1, "observationTypeInfo": "string"
}
}, "readingsFromWatticsDataPoint": { "watticsDataPointId": 1, "watticsDataPointInfo": "string"
}
}